> For the complete documentation index, see [llms.txt](https://docs.remede.camarm.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.remede.camarm.fr/database/database/dataset.md).

# Dataset

The roots of Remède...

The `data` folder is destined to the linguistics resources used by Remède.

* Folder `fr/`
  * `words.txt`: List of \~1 000 000 words, semi separated
  * `ipa.json`: For a key 'word', returns his IPA
    * Generated from `data/IPA.txt`: a text file of format `[word]\t[ipa]` by `scripts/pre_generate_ressources.py`
* The sames resources, for each locale are situated in the folders `en` ect...

{% hint style="info" %}
The `data/remede.db` file is not included in git files, see Setup to download it.
{% endhint %}

* `data/remede.schema.json`: JSON schema of Remède document
* `data/custom_words.json`: File to add custom words... The words documents must follow the Remède Document Schema
  * `data/custom_words.schema.json`: its JSON schema
* `data/remede.db`: A sqlite database ([reference](/database/database/document-schema.md)) (french)&#x20;
* `data/remede.[locale].db`: A sqlite database ([reference](/database/database/database-schema.md)) (for locale, eg `remede.en.db`)&#x20;
* `data/drime.db`: The [Open Lexicon](http://lexique.org/shiny/openlexicon/) french database rewrote by the project [drime](https://a3nm.net/git/drime/files.html). Useful to get precise word metadata like syllables.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.remede.camarm.fr/database/database/dataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
